﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Eleicao
{
    class Candidato
    {
        public Candidato(string nome, string numero)
        {
            this.Nome = nome;
            this.Numero = numero;
        }

        public string Nome { get; }
        public string Numero { get; }

        public int NumeroVotos { get;  set; }
        public string Percentual { get; set; }
        public bool Eleito { get; set; }
        public Coligacao Coligacao { get; set; }
        public Partido Partido { get; set; }


        public override String ToString()
        {
            if (Coligacao.PartidosDaColigacao.Contains("/"))
                return string.Format("{0} ({1}, {2} votos) - Coligação:{3}", Nome,Partido.Nome.Trim(), NumeroVotos, Coligacao.PartidosDaColigacao);
            
            return string.Format("{0} ({1}, {2} votos)", Nome, Partido.Nome.Trim(), NumeroVotos);
        }
    }
}
